﻿<%@ Page Title="Home Page" Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
	<title>Test</title>
	<style type="text/css">
		
	</style>
</head>
<body>
	<form id="Form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
			<Scripts>
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
			</Scripts>
		</telerik:RadScriptManager>

		<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
			<script type="text/javascript">
				function ImageGalleryCreated(sender) {
					var imageGallery = $find('<%=RadImageGallery1.ClientID%>');
					imageGallery.playSlideshow();
				}
			</script>
		</telerik:RadCodeBlock>

		<div class="photo-container">
			<telerik:RadImageGallery ID="RadImageGallery1" runat="server" Width="100%" Height="310px"
				LoopItems="True" RenderMode="Auto" DataImageField="Picture" DataTitleField="AccountId"
				DataSourceID="dsRotationImages" Visible="true">
				<ThumbnailsAreaSettings Position="Bottom" ScrollOrientation="Horizontal" Mode="ImageSlider" />
				<ToolbarSettings ShowSlideshowButton="True" ItemsCounterFormat="Image {0} / {1}"
					ExitFullScreenButtonText="Exit" />
				<ClientSettings>
					<AnimationSettings SlideshowSlideDuration="3700">
						<NextImagesAnimation Type="Blocks" Easing="EaseOutSine" Speed="2000" />
						<PrevImagesAnimation Type="Blocks" Easing="EaseOutSine" Speed="2000" />
					</AnimationSettings>
					<ClientEvents OnImageGalleryCreated="ImageGalleryCreated" />
				</ClientSettings>
			</telerik:RadImageGallery>

			<%--<telerik:RadListView runat="server" DataSourceID="dsRotationImages"></telerik:RadListView>--%>

			<asp:ObjectDataSource ID="dsRotationImages" runat="server" OldValuesParameterFormatString="original_{0}"
				SelectMethod="GetData" TypeName="RotationImagesTableAdapter"></asp:ObjectDataSource>
		</div>
	</form>
</body>
</html>
